build-sys: Bump gettext dependency

Needed for distcheck to work with a checked-in pulseaudio.pot. Not
updating to the very latest (0.21) to not force the dependency bump to
something "too new" on distros.
3 jobs for v13.99.2 in 4 minutes and 55 seconds (queued for 1 second)
latest